---
application_settings:
  - table: push_rules
    column: push_rule_id
    on_delete: async_nullify
  - table: users
    column: usage_stats_set_by_user_id
    on_delete: async_nullify
  - table: namespaces
    column: instance_administrators_group_id
    on_delete: async_nullify
  - table: projects
    column: file_template_project_id
    on_delete: async_nullify
  - table: projects
    column: instance_administration_project_id
    on_delete: async_nullify
  - table: namespaces
    column: custom_project_templates_group_id
    on_delete: async_nullify
ci_build_report_results:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_daily_build_group_report_results:
  - table: namespaces
    column: group_id
    on_delete: async_delete
  - table: projects
    column: project_id
    on_delete: async_delete
ci_editor_ai_conversation_messages:
  - table: projects
    column: project_id
    on_delete: async_delete
  - table: users
    column: user_id
    on_delete: async_delete
ci_freeze_periods:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_group_variables:
  - table: namespaces
    column: group_id
    on_delete: async_delete
ci_job_artifacts:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_job_token_project_scope_links:
  - table: users
    column: added_by_id
    on_delete: async_nullify
  - table: projects
    column: source_project_id
    on_delete: async_delete
  - table: projects
    column: target_project_id
    on_delete: async_delete
ci_minutes_additional_packs:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
ci_namespace_mirrors:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
ci_pending_builds:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
  - table: projects
    column: project_id
    on_delete: async_delete
ci_pipeline_artifacts:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_pipeline_chat_data:
  - table: chat_names
    column: chat_name_id
    on_delete: async_delete
ci_pipeline_metadata:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_pipeline_schedules:
  - table: users
    column: owner_id
    on_delete: async_nullify
  - table: projects
    column: project_id
    on_delete: async_delete
ci_pipelines:
  - table: merge_requests
    column: merge_request_id
    on_delete: async_delete
  - table: users
    column: user_id
    on_delete: async_nullify
  - table: projects
    column: project_id
    on_delete: async_delete
ci_project_mirrors:
  - table: projects
    column: project_id
    on_delete: async_delete
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
ci_project_monthly_usages:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_refs:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_resource_groups:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_runner_namespaces:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
ci_runner_projects:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_runners:
  - table: users
    column: creator_id
    on_delete: async_nullify
ci_running_builds:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_secure_files:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_sources_pipelines:
  - table: projects
    column: source_project_id
    on_delete: async_delete
  - table: projects
    column: project_id
    on_delete: async_delete
ci_sources_projects:
  - table: projects
    column: source_project_id
    on_delete: async_delete
ci_stages:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_subscriptions_projects:
  - table: projects
    column: downstream_project_id
    on_delete: async_delete
  - table: projects
    column: upstream_project_id
    on_delete: async_delete
  - table: users
    column: author_id
    on_delete: async_delete
ci_triggers:
  - table: users
    column: owner_id
    on_delete: async_delete
  - table: projects
    column: project_id
    on_delete: async_delete
ci_unit_tests:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_variables:
  - table: projects
    column: project_id
    on_delete: async_delete
dast_pre_scan_verifications:
  - table: ci_pipelines
    column: ci_pipeline_id
    on_delete: async_delete
dast_profiles_pipelines:
  - table: ci_pipelines
    column: ci_pipeline_id
    on_delete: async_delete
dast_profiles_tags:
  - table: tags
    column: tag_id
    on_delete: async_delete
dast_scanner_profiles_builds:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_delete
  - table: p_ci_builds
    column: ci_build_id
    on_delete: async_delete
dast_scanner_profiles_tags:
  - table: tags
    column: tag_id
    on_delete: async_delete
dast_site_profiles_builds:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_delete
  - table: p_ci_builds
    column: ci_build_id
    on_delete: async_delete
dast_site_profiles_pipelines:
  - table: ci_pipelines
    column: ci_pipeline_id
    on_delete: async_delete
deployment_clusters:
  - table: clusters
    column: cluster_id
    on_delete: async_delete
deployments:
  - table: clusters
    column: cluster_id
    on_delete: async_nullify
external_pull_requests:
  - table: projects
    column: project_id
    on_delete: async_delete
merge_request_metrics:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
merge_requests:
  - table: ci_pipelines
    column: head_pipeline_id
    on_delete: async_nullify
merge_trains:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
ml_candidates:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_nullify
  - table: p_ci_builds
    column: ci_build_id
    on_delete: async_nullify
namespaces:
  - table: organizations
    column: organization_id
    on_delete: async_nullify
notification_settings:
  - table: users
    column: user_id
    on_delete: async_delete
p_ci_builds:
  - table: users
    column: user_id
    on_delete: async_nullify
  - table: projects
    column: project_id
    on_delete: async_delete
  - table: ci_runners
    column: runner_id
    on_delete: async_nullify
p_ci_builds_metadata:
  - table: projects
    column: project_id
    on_delete: async_delete
p_ci_runner_machine_builds:
  - table: ci_runner_machines
    column: runner_machine_id
    on_delete: async_delete
packages_build_infos:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
packages_package_file_build_infos:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
pages_deployments:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_nullify
  - table: p_ci_builds
    column: ci_build_id
    on_delete: async_nullify
requirements_management_test_reports:
  - table: ci_builds
    column: build_id
    on_delete: async_nullify
  - table: p_ci_builds
    column: build_id
    on_delete: async_nullify
routes:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
sbom_occurrences:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
security_scans:
  - table: ci_builds
    column: build_id
    on_delete: async_delete
  - table: p_ci_builds
    column: build_id
    on_delete: async_delete
terraform_state_versions:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_nullify
  - table: p_ci_builds
    column: ci_build_id
    on_delete: async_nullify
user_details:
  - table: namespaces
    column: provisioned_by_group_id
    on_delete: async_nullify
  - table: namespaces
    column: enterprise_group_id
    on_delete: async_nullify
vulnerability_feedback:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
vulnerability_occurrence_pipelines:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_delete
vulnerability_state_transitions:
  - table: ci_pipelines
    column: state_changed_at_pipeline_id
    on_delete: async_nullify
vulnerability_statistics:
  - table: ci_pipelines
    column: latest_pipeline_id
    on_delete: async_nullify
